﻿import { Readable } from 'node:stream';
import type { Cheerio, CheerioAPI, CheerioOptions } from 'cheerio';
import type { AnyNode } from 'domhandler';
export interface TransformationRule {
    selector: string[];
    rule: (node: Cheerio<AnyNode>, $: CheerioAPI) => Promise<void>;
}
export declare class Transformer {
    private _rules;
    constructor(rules: TransformationRule[]);
    transform($: CheerioAPI, cheerioOptions?: CheerioOptions | null, isDocument?: boolean): Promise<string>;
    transform(html: string, cheerioOptions?: CheerioOptions | null, isDocument?: boolean): Promise<string>;
    transform(html: Buffer, cheerioOptions?: CheerioOptions | null, isDocument?: boolean): Promise<string>;
    transform(html: Readable, cheerioOptions?: CheerioOptions | null, isDocument?: boolean): Promise<string>;
    private process;
    addRule(rule: TransformationRule): void;
    addRule(rules: TransformationRule[]): void;
    removeRule(selector: string): void;
    clearRules(): void;
    get rules(): TransformationRule[];
}
//# sourceMappingURL=index.d.ts.map